Reveal Secret telephony connections/item/reveal secret
curl --request GET \
--url https://api.callaro.ai/api/v1/telephony_connections/{id}/reveal_secret \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/telephony_connections/{id}/reveal_secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/telephony_connections/{id}/reveal_secret"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"tenant_name": "<string>",
"telephony_vendor_id": "<string>",
"vendor_name": "<string>",
"provider": "<string>",
"mode": "<string>",
"valid_modes": "<string>",
"status": "<string>",
"label": "<string>",
"capacity_limit": 123,
"tenant_platform_capacity_limit": 123,
"effective_capacity_limit": 123,
"current_capacity_in_use": "<string>",
"available_capacity": "<string>",
"capacity_unlimited": "<string>",
"settings": {},
"settings_viewer": "<string>",
"inbound_webhook_secret_set": "<string>",
"ws_path": "<string>",
"websocket_url_mode": "<string>",
"capabilities": "<string>",
"orchestration_mode": "<string>",
"created_by": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}TelephonyConnections
Reveal Secret telephony connections/item/reveal secret
From api/v1/telephony_connections#reveal_secret in voice_saas_api. Fields come from that action’s strong params / params usage.
GET
/
api
/
v1
/
telephony_connections
/
{id}
/
reveal_secret
Reveal Secret telephony connections/item/reveal secret
curl --request GET \
--url https://api.callaro.ai/api/v1/telephony_connections/{id}/reveal_secret \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/telephony_connections/{id}/reveal_secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/telephony_connections/{id}/reveal_secret"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"tenant_name": "<string>",
"telephony_vendor_id": "<string>",
"vendor_name": "<string>",
"provider": "<string>",
"mode": "<string>",
"valid_modes": "<string>",
"status": "<string>",
"label": "<string>",
"capacity_limit": 123,
"tenant_platform_capacity_limit": 123,
"effective_capacity_limit": 123,
"current_capacity_in_use": "<string>",
"available_capacity": "<string>",
"capacity_unlimited": "<string>",
"settings": {},
"settings_viewer": "<string>",
"inbound_webhook_secret_set": "<string>",
"ws_path": "<string>",
"websocket_url_mode": "<string>",
"capabilities": "<string>",
"orchestration_mode": "<string>",
"created_by": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Query Parameters
Was this page helpful?